Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2014 18:30:32 +0200

> Date: Sat, 04 Jan 2014 21:23:03 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> > There's no expertise involved in "make info".
> 
> Typical Emacs users don't run 'make info'.

They might, if they want to make small changes.

In any case, as I show in my previous message, the problems are not
limited to Texinfo 5 (unlike what I previously thought).

> > My suggestion solves more potential problems
> 
> I'm afraid not.  Avoiding @documentencoding causes
> Texinfo 5 to mishandle UTF-8 characters when generating
> formats such as HTML, so that's a non-starter.

I didn't propose to make any changes in the HTML targets, they can
continue using --enable-encoding.  I also didn't suggest to remove
@documentencoding; quite the contrary, the fix I suggested is to _add_
such a directive to those manuals that don't have it, but use UTF-8
encoded characters.

> And both it and --disable-encoding cause the
> regression that Drew noted.

That's not an Emacs problem.